blender 2.45 offi, ubuntu feisty,python 2.5 problem

Does anybody else have problems with ubuntu and python 2.5?
my problem is that using the python 2.5 version from site many things don’t work,like smart projections uv unwrap I don’t know what else…
using python 2.4 (and the dev packages) I can’t compile the svn(cloth etc)
anyone with familiar problems-solution?